Results 1 to 4 of 4

Thread: Compiling PHP-GTK fails on Karmic ("LTOPTIONS_VERSION: command not found" etc.)

  1. #1
    Join Date
    Jan 2010
    Beans
    4

    Red face Compiling PHP-GTK fails on Karmic ("LTOPTIONS_VERSION: command not found" etc.)

    I'm trying to compile PHP-GTK from source using these simple instructions:

    Code:
    svn co http://svn.php.net/repository/gtk/php-gtk/trunk php-gtk
    cd php-gtk
    ./buildconf
    ./configure
    make
    make install
    At first it failed at ./buildconf. It did this:

    Code:
    cd /usr/share/aclocal
    chmod 777 libtool.m4
    cat lt~obsolete.m4 ltoptions.m4 ltsugar.m4 ltversion.m4 >> libtool.m4
    chmod 644 libtool.m4
    Worked. Then ./configure failed because PHP-Cairo was not installed. So I installed it. Now ./configure fails with these errors:

    Code:
    ./configure: line 12344: LTOPTIONS_VERSION: command not found
    ./configure: line 12345: LTSUGAR_VERSION: command not found
    ./configure: line 12346: LTVERSION_VERSION: command not found
    ./configure: line 12347: LTOBSOLETE_VERSION: command not found
    checking for a sed that does not truncate output... (cached) /bin/sed
    ./configure: line 12422: syntax error near unexpected token `lt_decl_varnames,'
    ./configure: line 12422: `lt_if_append_uniq(lt_decl_varnames, SED, , ,'
    I haven't found any any solution to this. All help much appreciated.

    Here's the complete output of ./configure:
    http://pastebin.com/f6823ae63

  2. #2
    Join Date
    Sep 2009
    Beans
    1,293

    Re: Compiling PHP-GTK fails on Karmic ("LTOPTIONS_VERSION: command not found" etc.)

    add the macros to aclocal in the source root dir of php-gtk

    $cat /usr/share/aclocal/ltoptions.m4 /usr/share/aclocal/ltversion.m4 /usr/share/aclocal/ltsugar.m4 /usr/share/aclocal/lt~obsolete.m4 >>aclocal.m4

    then,
    $./buildconf
    $./configure

    worked without problems here at least

  3. #3
    Join Date
    Jan 2010
    Beans
    4

    Re: Compiling PHP-GTK fails on Karmic ("LTOPTIONS_VERSION: command not found" etc.)

    Quote Originally Posted by SevenMachines View Post
    add the macros to aclocal in the source root dir of php-gtk

    $cat /usr/share/aclocal/ltoptions.m4 /usr/share/aclocal/ltversion.m4 /usr/share/aclocal/ltsugar.m4 /usr/share/aclocal/lt~obsolete.m4 >>aclocal.m4

    then,
    $./buildconf
    $./configure

    worked without problems here at least
    I managed to compile 2.0.0 with these instructions:

    http://blog.pabluk.com.ar/2009/01/co...buntu-810.html

    But thanks for the fast reply, I'll try to compile 2.0.1 some day with your instructions.

  4. #4
    Join Date
    Jan 2005
    Beans
    23
    Distro
    Ubuntu 9.10 Karmic Koala

    Lightbulb Re: Compiling PHP-GTK fails on Karmic ("LTOPTIONS_VERSION: command not found" etc.)

    I've got it compiling an put it in my PPA... for those too lazy to build themselves

    It is build with the following: --with-extra --with-html --with-libsexy --with-spell --enable-php-gtk --enable-scintilla --with-mozembed

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •